gnutls_x509_crl_get_extension_oid(3)

NAME
gnutls_x509_crl_get_extension_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_extension_oid(gnutls_x509_crl_t crl, unsigned indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

unsigned indx
    Specifies which extension OID to send, use (0) to get the first one.

void * oid
    a pointer to store the OID (may be null)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will return the requested extension OID in the CRL. The extension OID will be stored as a string in the provided buffer.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code in case of an error. If your have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/